# Class X509Exception

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.zookeeper.common.X509Exception

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `X509Exception.KeyManagerException, X509Exception.SSLContextException, X509Exception.TrustManagerException`

public class X509Exception extends Exception

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`X509Exception.KeyManagerException`
`static class`
`X509Exception.SSLContextException`
`static class`
`X509Exception.TrustManagerException`

## Constructor Summary

Constructors
Constructor
Description
`X509Exception(String message)`
`X509Exception(String message, Throwable cause)`
`X509Exception(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### X509Exception

public X509Exception(String message)

### X509Exception

public X509Exception(Throwable cause)

### X509Exception

public X509Exception(String message, Throwable cause)